Subject: NAMD failure on Berendsen pressure scheme

From: Vlad Cojocaru <Vlad.Cojocaru$at$mpi-bpc.mpg.de>
Date: Wed, 30 Jul 2003 14:53:39 +0200

Dear fellows,
 If you have some experience with namd could somebody explain why this 
is happening (see error message at the bottom of the message)? I am 
using the following script:. It is a constant pressure equilibration 
using Berendsen algorithm for temp and pressure. This equilibration step 
follows after a minim and a const Vol. eq in which the temperature is 
adjusted to 300 (also with temp coupling scheme). The protocol below 
works fine in AMBER but maybe there some differences between the values 
used by the 2 programs that I didnt figure out. The first eq. at const 
Vol works fine both in Amber and Namd so I guess there is something 
about pressure here. If you want more details please let me know!.
  I would appreciate any advice. Thank you very much ,
Vlad

# *** AMBER force field *** ---------------------------------
amber            on
parmfile         rnaWI.top
coordinates      rnaWI_mdeq2.pdb.coor
readexclusions   yes
exclude          scaled1-4
1-4scaling       0.83333333   #=1/1.2
scnb             2

#*** approximations for nonbonded interactions ------------
switching        off
cutoff           9
stepspercycle    1

#***equilibration parameters
minimization     off
numsteps         10000
timestep         1.0

#***SHAKE use
rigidbonds all

#***temperature regulation for equilibration step (NPT) using
#***temperature coupling
temperature      100.0
tcouple          on
tcoupletemp      300.0
tcouplefile      rnaWI_ceq2.pdb  ### friction coef.=1.0
tcouplecol       B

#***constant pressure equilibration using Berendsen bath coupling
usegrouppressure                         on
useflexiblecell                          on
berendsenpressure                        on
berendsenpressuretarget                  1.0
berendsenpressurecompressibility         0.0000446
berendsenpressurerelaxationtime          500
berendsenpressurefreq                    100

#***PME
PME         on
cellBasisVector1    56.21    0    0       
cellBasisVector2    0    58.53    0
cellBasisVector3    0    0    57.89
cellOrigin        0   0   0
PMEGridSizeX        50
PMEGridSizeY        55
PMEGridSizeZ        50
XSTfile         rnaWI_mdeq3.XST
XSTfreq         200

#***constraints (holding the solute fixed)
constraints      on
consexp          2
consref          rnaWI_mdeq2.pdb.coor
conskfile        rnaWI_res500.pdb
conskcol         B

#***outputnames
outputname       rnaWI_mdeq3.pdb
restartname      rnaWI_mdeq3.rst
dcdfile          rnaWI_mdeq3.dcd
dcdfreq          200
veldcdfile       rnaWI_mdeq3.vel.dcd
veldcdfreq       200
restartfreq      200
outputenergies   100
outputpressure   100
binaryoutput     off
binaryrestart    off

###---error-----------------

RESSURE: 300 76798.7 -40631.2 58693.1 -13378.6 29200.3 -5152.76 69223.5 
-42523.7 81493.1
GPRESSURE: 300 76687.2 -40836.2 58854.3 -13914.7 29538.5 -4262.26 
68552.2 -42832.5 81484.6
ENERGY:    300 2002.7469   2400.4670   550.4454    0.0000      
-61779.2755 9089.4231   60866.5902  0.0000      31247.2457  44377.6430  
1056.1747   62497.3627  62570.0965  185386.7344 -1757.5130  -1600.7691 
ERROR: Constraint failure in RATTLE algorithm for atom 121!
ERROR: Constraint failure; simulation has become unstable.
ERROR: Exiting prematurely.
==========================================

-- 
Vlad Cojocaru 
Max Planck Institute for Biophysical Chemistry 
Department: 060 
Am Fassberg 11, 37077 Goettingen, Germany 
tel: ++49-551-201.1327 
e-mail: Vlad.Cojocaru$at$mpi-bpc.mpg.de
home tel: ++49-551-9963204